#!/bin/bash
#
#    ncurses-pc-install
#
#    Copyright (c) 2020, 2021 Stephen Whittle  All rights reserved.
#
#    Permission is hereby granted, free of charge, to any person obtaining a copy
#    of this software and associated documentation files (the "Software"),
#    to deal in the Software without restriction, including without limitation
#    the rights to use, copy, modify, merge, publish, distribute, sublicense,
#    and/or sell copies of the Software, and to permit persons to whom
#    the Software is furnished to do so, subject to the following conditions:
#    The above copyright notice and this permission notice shall be included
#    in all copies or substantial portions of the Software.
#    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
#    THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
#    FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
#    IN THE SOFTWARE.
#

if [[ $(id -u) -ne 0 ]] ; then
    printf "must be a superuser!!!\n" >&2

    exit 1
fi

package="ncurses"

source ".$package"

pkgconfig_dir="$lib_prefix_dir/lib/pkgconfig"

if [[ ! -d "$pkgconfig_dir" ]] ; then
    printf "directory '%s' not found\n" "$pkgconfig" >&2

    exit 2
fi

for pc_file in $(find "$install_dir/$package-$archive_version" \
                      -name "*.pc" \
		      -print)
do
    printf "copying '%s' -> '%s/%s'\n" "$pc_file" "$pkgconfig_dir" "$(basename "$pc_file")" >&1

    cp -p "$pc_file" "$pkgconfig_dir"
    rc=$?

    if [[ $rc -ne 0 ]] ; then
        printf "failed to copy '%s' into '%s'\n" "$pc_file" "$pkgconfig_dir" >&2

        exit 3
    fi
done

exit 0
